Cyan Web API - Version 1


GET api/deviceApplications

            Gets all DeviceApplications.
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "deviceId": "f57616dc-573c-49fc-ba98-d1238c5443f1",
    "applicationId": "915d45e9-2b40-4234-80ea-03c551bae3dd",
    "isLicensed": true,
    "createdDateUtc": "2026-03-22T22:02:40.0035037+00:00",
    "updatedDateUtc": "2026-03-22T22:02:40.0035037+00:00"
  },
  {
    "deviceId": "f57616dc-573c-49fc-ba98-d1238c5443f1",
    "applicationId": "915d45e9-2b40-4234-80ea-03c551bae3dd",
    "isLicensed": true,
    "createdDateUtc": "2026-03-22T22:02:40.0035037+00:00",
    "updatedDateUtc": "2026-03-22T22:02:40.0035037+00:00"
  },
  {
    "deviceId": "f57616dc-573c-49fc-ba98-d1238c5443f1",
    "applicationId": "915d45e9-2b40-4234-80ea-03c551bae3dd",
    "isLicensed": true,
    "createdDateUtc": "2026-03-22T22:02:40.0035037+00:00",
    "updatedDateUtc": "2026-03-22T22:02:40.0035037+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfDeviceApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <DeviceApplicationRepresentation>
    <CreatedDateUtc>2026-03-22T22:02:40.0035037+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-03-22T22:02:40.0035037+00:00</UpdatedDateUtc>
    <ApplicationId>915d45e9-2b40-4234-80ea-03c551bae3dd</ApplicationId>
    <DeviceId>f57616dc-573c-49fc-ba98-d1238c5443f1</DeviceId>
    <IsLicensed>true</IsLicensed>
  </DeviceApplicationRepresentation>
  <DeviceApplicationRepresentation>
    <CreatedDateUtc>2026-03-22T22:02:40.0035037+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-03-22T22:02:40.0035037+00:00</UpdatedDateUtc>
    <ApplicationId>915d45e9-2b40-4234-80ea-03c551bae3dd</ApplicationId>
    <DeviceId>f57616dc-573c-49fc-ba98-d1238c5443f1</DeviceId>
    <IsLicensed>true</IsLicensed>
  </DeviceApplicationRepresentation>
  <DeviceApplicationRepresentation>
    <CreatedDateUtc>2026-03-22T22:02:40.0035037+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-03-22T22:02:40.0035037+00:00</UpdatedDateUtc>
    <ApplicationId>915d45e9-2b40-4234-80ea-03c551bae3dd</ApplicationId>
    <DeviceId>f57616dc-573c-49fc-ba98-d1238c5443f1</DeviceId>
    <IsLicensed>true</IsLicensed>
  </DeviceApplicationRepresentation>
</ArrayOfDeviceApplicationRepresentation>